import { GiteaHttp } from '../../../util/http/gitea';
import { Datasource } from '../datasource';
import type { DigestConfig, GetReleasesConfig, ReleaseResult } from '../types';
export declare class GiteaTagsDatasource extends Datasource {
    http: GiteaHttp;
    static readonly id = "gitea-tags";
    static readonly customRegistrySupport = true;
    static readonly registryStrategy = "first";
    static readonly defaultRegistryUrls: string[];
    static readonly cacheNamespace: string;
    constructor();
    static getRegistryURL(registryUrl?: string): string;
    private static getApiUrl;
    static getCacheKey(registryUrl: string | undefined, repo: string, type: string): string;
    static getSourceUrl(packageName: string, registryUrl?: string): string;
    getReleases({ registryUrl, packageName: repo, }: GetReleasesConfig): Promise<ReleaseResult | null>;
    getTagCommit(registryUrl: string | undefined, repo: string, tag: string): Promise<string | null>;
    getDigest({ packageName: repo, registryUrl }: DigestConfig, newValue?: string): Promise<string | null>;
}
